from cmath import inf
import sys
import math
import csv

filePath = 'mesh_l3.csv'
outDir = "tiles"


def main():
  inFile = open(filePath, 'r', encoding='utf-8', newline="")
  cReader = csv.reader(inFile, delimiter=",", quotechar='"')
  # schema = inFile.readline()
  # print("schema: ", schema)

  tiles = {}
  lgDict = {}
  for csvRow in cReader:
    names = ""
    for index, value in enumerate(csvRow):
      if (index == 0):
        id = value
      elif(index < 4):
        names = names + value + ","
      else:
        mesh1 = value[0:4]
        mesh3 = value[4:]
        if (mesh1 not in tiles):
          tiles[mesh1] = {}
        if (id not in tiles[mesh1]):
          tiles[mesh1][id] = []
        tiles[mesh1][id].append(mesh3)
    lgDict[id] = names[:-1]
  inFile.close()

  for m1 in tiles:
    outFile = open(outDir + "/" + m1 + ".csv", "w", encoding="utf-8")
    tile = tiles[m1]
    outFile.write(m1 + "\n")
    for lgCode in tile:
      lgMeshs = tile[lgCode]
      outFile.write(lgCode + "," + (",".join(lgMeshs)) + "\n")
    outFile.close()

  outFile = open(outDir + "/" + "code_name.csv", "w", encoding="utf-8")
  for lgCode in lgDict:
    outFile.write(lgCode + "," + lgDict[lgCode] + "\n")
  outFile.close()


if __name__ == '__main__':
  args = sys.argv
  if len(args) == 2:
    filePath = args[1]
  main()
